<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<TITLE>Update a Record</TITLE>
</HEAD>
<BODY>

<?
/***************************************************************************
 *			do_updates1.php	                                   *
 *                       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~	                   *
 *   File Info:		  Update Contacts Record                           *
 *   Copyright:       Copyright 2003 http://www.128concepts.com            *
 *						                           *
 ***************************************************************************/
include("./config.php");
include("./header.inc");
?>
<?
$table = "contacts";
  if ($_SERVER['REQUEST_METHOD'] == "POST") 
  {
        # escape data and set variables
 
        $cid = addslashes($_POST["cid"]);
        $ctitle = addslashes($_POST["ctitle"]);
        $cfirst = addslashes($_POST["cfirst"]);
        $csurname = addslashes($_POST["csurname"]);
        $cadd1 = addslashes($_POST["cadd1"]);
        $cadd2 = addslashes($_POST["cadd2"]);
        $ccity = addslashes($_POST["ccity"]);
        $ccounty = addslashes($_POST["ccounty"]);
        $ccode = addslashes($_POST["ccode"]);
        $cphone = addslashes($_POST["cphone"]);
        $cfax = addslashes($_POST["cfax"]);
        $cemail = addslashes($_POST["cemail"]);
}
$conn = @mysql_connect($server,$user,$password)
	or die("Unable to connect to SQL database...");
$rs = @mysql_select_db($database,$conn) 
	or die("Unable to select the database...Please press 'Create Database' to create new database.");
echo("<br><img src=images/line.gif border=0 width=100% height=1><font face=verdana size=2>Updating contacts record with Contact ID = ");
echo($cid);
echo("</font><br>");
$done = "FALSE";
$sql = " SELECT cid,ctitle,cfirst,csurname,cadd1,cadd2,ccity,ccounty,ccode,cphone,cfax,cemail from $table where cid = $cid";
$rs = @mysql_query($sql,$conn)
	or die("Could not execute SQL query!!! Possibly SQL query already been executed.");
while($row=mysql_fetch_array($rs))
{
       echo("<font face=verdana size=2>Contact ID: </font>".$row["cid"]); 
       echo(" <font face=verdana size=2>Title: </font>".$row["ctitle"]);
       echo(" <font face=verdana size=2>First Name: </font>".$row["cfirst"]);
       echo(" <font face=verdana size=2>Surname:  </font>".$row["csurname"]."<br>");
       echo("<font face=verdana size=2>Address #1: </font>".$row["cadd1"]."<br>");
       echo("<font face=verdana size=2>Address #2: </font>".$row["cadd2"]."<br>");
       echo("<font face=verdana size=2>City: </font>".$row["ccity"]."<br>");
       echo("<font face=verdana size=2>County: </font>".$row["ccounty"]."<br>");
       echo("<font face=verdana size=2>Post Code: </font>".$row["ccode"]."<br>");
       echo("<font face=verdana size=2>Phone: </font>".$row["cphone"]."<br>");
       echo("<font face=verdana size=2>Fax: </font>".$row["cfax"]."<br>");
       echo("<font face=verdana size=2>Email: </font>".$row["cemail"]."<br>");
       echo("<font face=verdana size=2>Press the 'View Records' menu link to view all contacts records.</font><img src=images/line.gif border=0 width=100% height=1>");
       $done = "OK";
}
if ($done=="FALSE")
{
	echo("<br><center><img src=images/bullets.gif border=0><font face=verdana size=2> Opps...its seems cannot update contactstocks record with CONTACT ID = ");
	echo($cid);
	echo "</font>";
	include_once("./your-footer.inc");
	exit();
}
?>
<img src=images/line.gif border=0 width=100% height=1><br><br>
<center><img src=images/computer.gif border=0><font face=verdana size=3 color=darkred>Updating a Record to CONTACTS</font></center><br>
<?
echo("<font face=verdana size=2>Updating title</font><br>");
$sql="UPDATE $table set ctitle=";
$sql.="'$ctitle'";
$sql.=" where cid = $cid";
$sql_result = mysql_query($sql,$conn)
	or die("Couldn't update record.");
echo("<font face=verdana size=2>Updating first name</font><br>");
$sql="UPDATE $table set cfirst=";
$sql.="'$cfirst'";
$sql.= " where cid = $cid";
$sql_result = mysql_query($sql,$conn)
	or die("Couldn't update record.");
echo("<font face=verdana size=2>Updating surname</font><br>");
$sql="UPDATE $table set csurname=";
$sql.="'$csurname'";
$sql.=" where cid = $cid";
$sql_result = mysql_query($sql,$conn)
	or die("Couldn't update record.");
echo("<font face=verdana size=2>Updating address #1</font><br>");
$sql="UPDATE $table set cadd1=";
$sql.="'$cadd1'";
$sql.=" where cid = $cid";
$sql_result = mysql_query($sql,$conn)
	or die("Couldn't update record.");
echo("<font face=verdana size=2>Updating address #2</font><br>");
$sql="UPDATE $table set cadd2=";
$sql.="'$cadd2'";
$sql.=" where cid = $cid";
$sql_result = mysql_query($sql,$conn)
	or die("Couldn't update record.");
echo("<font face=verdana size=2>Updating city</font><br>");
$sql="UPDATE $table set ccity=";
$sql.="'$ccity'";
$sql.=" where cid = $cid";
$sql_result = mysql_query($sql,$conn)
	or die("Couldn't update record.");
echo("<font face=verdana size=2>Updating county</font><br>");
$sql="UPDATE $table set ccounty=";
$sql.="'$ccounty'";
$sql.=" where cid = $cid";
$sql_result = mysql_query($sql,$conn)
	or die("Couldn't update record.");
echo("<font face=verdana size=2>Updating post code</font><br>");
$sql="UPDATE $table set ccode=";
$sql.="'$ccode'";
$sql.=" where cid = $cid";
$sql_result = mysql_query($sql,$conn)
	or die("Couldn't update record.");
echo("<font face=verdana size=2>Updating phone</font><br>");
$sql="UPDATE $table set cphone=";
$sql.="'$cphone'";
$sql.=" where cid = $cid";
$sql_result = mysql_query($sql,$conn)
	or die("Couldn't update record.");
echo("<font face=verdana size=2>Updating fax</font><br>");
$sql="UPDATE $table set cfax=";
$sql.="'$cfax'";
$sql.=" where cid = $cid";
$sql_result = mysql_query($sql,$conn)
	or die("Couldn't update record.");
echo("<font face=verdana size=2>Updating email</font><br>");
$sql="UPDATE $table set cemail=";
$sql.="'$cemail'";
$sql.=" where cid = $cid";
$sql_result = mysql_query($sql,$conn)
	or die("Couldn't update record.");
?>

<center>
<table width="500" border=1><tr align="justify" class="subtitle"><td>
  <p align="center">
  <img border="0" src="images/database.GIF" width="24" height="24"><font face=Verdana size=1><a href="./create_db.php">Create database</a>&nbsp;
  <img border="0" src="images/database.GIF" width="24" height="24"></font><a href="./delete_db.php"><font face=Verdana size=1>Delete database</font></a><font face="Verdana" size="1">&nbsp;
  <img border="0" src="images/Records.GIF" width="24" height="24"><a href="./create_menu.php">Create table</a>&nbsp;&nbsp;&nbsp;&nbsp;
  <img border="0" src="images/Records.GIF" width="24" height="24">&nbsp;
  </font> <a href="./add_menu.php"><font face=Verdana size=1>Add Record </font></a>  
  </p>
  <p align="center">&nbsp;<font face="Verdana" size="1"><img border="0" src="images/Records.GIF" width="24" height="24"></font><a href="./view_menu.php"><font face=verdana size=1>View Records</font></a>&nbsp;
  <font face="Verdana" size="1">&nbsp;&nbsp;&nbsp;
  <img border="0" src="images/Records.GIF" width="24" height="24"></font><a href="./del_menu.php"><font face=verdana size=1>Delete Record</font></a>
  <font face="Verdana" size="1">&nbsp;&nbsp;&nbsp;
  <img border="0" src="images/Records.GIF" width="24" height="24"></font> <a href="./upd_menu.php"><font face=verdana size=1>Update Record</font></a>&nbsp;
  <img border="0" src="images/home-to.GIF" width="24" height="24"><font face=verdana size=1>&nbsp; <a href="./index.php">Home</a></font>  </a></td></tr></table><br></center>
<?php include("./your-footer.inc");?>
</BODY>
</HTML>
